# BSP

This is our "Board Support Package" repository.

In the "Driver" folder, you will find the layer of code that interacts directly with the HAL Libraries and the DJI Boards. The differents codes in this folder are mostly programs taken directly from DJI examples.

-bsp_can contains basics functions used in the CAN process.

-bsp_oled contains functions for the use of the OLED

-bsp_pwm functions are used in the main program in order to control the snails.

-bsp_uart functions serve to decode signals send by the remote controller. Note in the function "rc callback handler" that every channel is coded by 11 bits (2048 maximum and centered).

In the "Device" folder, you will find a layer of code that interacts with the Driver layer, and that represents different devices in our robots' system : the OLED board, the DT7 controller, and more.

-Remote_Control contains the code which puts data from the remote into the "remote control" object used to command all motors.

-list_motor is the part of the code in which all parameters of the controller and motors are defined.

-motor.c contains all the function for command of motors and get informations to feed their controllers

-oled.c contains the functions for printing informations on the oled.